Bug 429279 - messaging install guide needs task-oriented instructions
messaging install guide needs task-oriented instructions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
beta
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Jonathan Robie
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 09:15 EST by Alan Conway
Modified: 2013-08-05 20:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-18 09:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-01-18 09:15:31 EST
List of RPMs doesn't mention the rhm-docs rpm.
It's not clear which RPMs you need to install.
Lists unnecessary details (e.g. amqp package internally used by python)

Suggest replacing the RPM list with task-oriented install instructions:

 - Deploy the message broker daemon: yum install rhm

 - Deploy C++ clients:    yum install qpidc
 - Deploy Java clients:   yum install qpid-java-client
 - Deploy Python clients: yum install python-qpid

 - Develop C++ clients:    yum install qpidc-devel rhm rhm-doc
 - Develop Java clients:   yum install qpid-java-client rhm rhm-doc
 - Develop Python clients: yum install python-qpid rhm rhm-doc

yum will take care of the rest. Most users don't care about the internal details
of RPMs. Users who do will already know how to use the rpm tool to find out
whatever they need. RPMs are self describing, listing the full details of RPMs
in documentation is redundant and hard to maintain.

Note You need to log in before you can comment on or make changes to this bug.